For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Inbox Events
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesEvents

List Inbox Events

GET
/v0/inboxes/:inbox_id/events
GET
/v0/inboxes/:inbox_id/events
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.events.list(
8 inbox_id="inbox_id",
9)
1{
2 "count": 1,
3 "events": [
4 {
5 "organization_id": "organization_id",
6 "pod_id": "pod_id",
7 "inbox_id": "inbox_id",
8 "event_id": "event_id",
9 "event_type": "label.added",
10 "message_id": "message_id",
11 "label": "label",
12 "event_at": "2024-01-15T09:30:00Z",
13 "created_at": "2024-01-15T09:30:00Z"
14 },
15 {
16 "organization_id": "organization_id",
17 "pod_id": "pod_id",
18 "inbox_id": "inbox_id",
19 "event_id": "event_id",
20 "event_type": "label.added",
21 "message_id": "message_id",
22 "label": "label",
23 "event_at": "2024-01-15T09:30:00Z",
24 "created_at": "2024-01-15T09:30:00Z"
25 }
26 ],
27 "limit": 1,
28 "next_page_token": "next_page_token"
29}
List label change events for an inbox. Returns events in reverse chronological order by default. Use for IMAP UID projection or audit logging. **CLI:** ```bash agentmail inboxes:events list --inbox-id <inbox_id> ```
Was this page helpful?
Previous

List API Keys

Next
Built with

List label change events for an inbox. Returns events in reverse chronological order by default. Use for IMAP UID projection or audit logging.

CLI:

$agentmail inboxes:events list --inbox-id <inbox_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
eventslist of objects

Ordered by event_id descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.

Errors

404
Not Found Error